Subject: linux-libre kernel socft-lock on T400 Thinkpad (BTRFS related?)

From: Csepp <[email-masked]>
Date: Mon, 31 Oct 2022 02:14:16 +0100

The latest kernel reliably soft locks on my T400 thinkpad.  Sometimes it
locks up before the elogind login prompt, sometimes it reaches the
prompt but I can't log in.  It does not reboot on ctrl-alt-del, although
it does seem to send some kind of signal to elogind.  It does reboot for
alt-sysrq-b.
When I got to see the kernel log, it looked like it was stuck in some
BTRFS related code.  I use BTRFS on an SSD on this machine.
I know we have some other users with T400 Thinkpads, maybe they have run
into it as well?

I will try upgrading again since the kernel is a few days old.

$ guix system describe
Generation 116	Oct 23 2022 03:52:27
  file name: /var/guix/profiles/system-116-link
  canonical file name: /gnu/store/dhvng1gj6z88qzq6f2s1bw34jk668z5y-system
  label: GNU with Linux-Libre 5.19.16
  bootloader: grub
  root device: label: "GUIX"
  kernel: /gnu/store/dzim8lv0wv9dk94f38a1ly35ckmfscm3-linux-libre-5.19.16/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 78d4a08ac3a1de481bc56eef967a2e5ed2a912d5
    raingloom:
      repository URL: https://git.sr.ht/~raingloom/guix-packages
      branch: master
      commit: bd30bbb2f7815e212d327a379ddbddc78fc4428a
    guix-science:
      repository URL: https://github.com/guix-science/guix-science.git
      branch: master
      commit: 2602edd5ec989d244ea065b2edfe3b95bf8a8c3d
    nonguix:
      repository URL: https://gitlab.com/nonguix/nonguix.git
      branch: master
      commit: 3f00d57adce5d0a185708fd5c7c5ff6f852c2bf7
  configuration file: /gnu/store/mldk0f0lmnsc7ahv0hh4cpd7a0q17cmy-configuration.scm